Standardisation of file info at image pages
Closed, ResolvedPublic

Description

Actual we have two different messages beneath an image of its description page,
dependent on the real image size and the personal preferences / files ("Limit
images on image description pages to:")

[[MediaWiki:fileinfo]] and [[MediaWiki:showbigimage]]

Both messages have different parameters.

For a better consistency I propose the change to one message only with identical
parameters:

[[MediaWiki:fileinfonew]]:
Filename: $1, file size: $2 kB, file type: $3, image resolution: $4 x $5 pixel

$1 links to the fullsize image (as today)
image resolution for images only

An optional parameter to indicate if the shown image is the full size image?
There must be something in the source for the decision what of the actual two
messages has to be used.

Resolution info for audio and video files would be great, but this should be
another bug I guess...?


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz7782.
Raymond created this task.Via LegacyNov 1 2006, 5:24 PM
bzimport added a comment.Via ConduitNov 2 2006, 7:06 PM

robchur wrote:

Call the message something else, then, like "file-info"; "new" won't be the case
forever, and it's misleading.

Raymond added a comment.Via ConduitFeb 27 2007, 6:36 PM

Fixed with r20070

bzimport added a comment.Via ConduitMar 5 2007, 3:21 PM

mailmaix wrote:

The notice "no higher resolution available" is also shown at SVG images, which
is wrong, since vector graphics are scalable.

Raymond added a comment.Via ConduitMar 5 2007, 7:54 PM

(In reply to comment #3)

The notice "no higher resolution available" is also shown at SVG images, which
is wrong, since vector graphics are scalable.

Fixed with r20151

bzimport added a comment.Via ConduitMar 15 2007, 4:09 PM

mailmaix wrote:

(In reply to comment #4)

Fixed with r20151

Cool, that was very quick ;)

But I've still seen (at the Commons) the text at SVG images

Raymond added a comment.Via ConduitMar 15 2007, 4:12 PM

Sadly it's not live yet :-( [[Special:Version]] shows you r20145 (today). Be
patient... Thanks.

bzimport added a comment.Via ConduitMar 18 2007, 3:38 PM

rotemliss wrote:

*** Bug 9324 has been marked as a duplicate of this bug. ***

Raymond added a comment.Via ConduitApr 16 2007, 7:16 PM
  • Bug 9596 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitApr 20 2007, 9:28 PM

keenanpepper wrote:

"This is a lossless scalable vector image. Base size: 266 × 174 pixels." Now
that's more like it! Good job, everyone.

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:50 AM
Gilles moved this task to Closed on the Multimedia workboard.Via WebDec 4 2014, 10:52 AM

Add Comment